## kf6-kcontacts 6.18.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.18.0") # handled by release scripts
set(KF_DEP_VERSION "6.18.0") # handled by release scripts

project(KContacts VERSION ${KF_VERSION})

# ECM setup
include(FeatureSummary)
find_package(ECM 6.18.0 NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(CMAKE_AUTORCC ON)

set(REQUIRED_QT_VERSION 6.7.0)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGenerateExportHeader)
include(ECMDeprecationSettings)
include(ECMGenerateQDoc)

include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(ECMQmlModule)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(USE_QML "Build the QML plugin" ON)

set(KCONTACTS_LIB_VERSION ${KF_VERSION})

set(kcontacts_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/kcontacts_version.h")
ecm_setup_version(PROJECT VARIABLE_PREFIX KCONTACTS
                        VERSION_HEADER "${kcontacts_version_header}"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6ContactsConfigVersion.cmake"
                        SOVERSION 6
)

########### Find packages ###########
find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE COMPONENTS Gui)
set_package_properties(Qt6Gui PROPERTIES
    TYPE REQUIRED
    PURPOSE "Basic library component"
)
if (USE_QML)
    find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Qml)
endif()
find_package(KF6 ${KF_DEP_VERSION} REQUIRED COMPONENTS CoreAddons I18n Config Codecs)

########### Targets ###########

add_definitions(-DTRANSLATION_DOMAIN=\"kcontacts6\")
ki18n_install(po)

ecm_set_disabled_deprecation_versions(
    QT 6.10.0
    KF 6.17.0
)

add_subdirectory(src)

if(BUILD_TESTING)
    find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE COMPONENTS Quick)
    set_package_properties(Qt6Quick PROPERTIES
        TYPE OPTIONAL
        PURPOSE "QML integration test"
    )
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Contacts")

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF6ContactsConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6ContactsConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF6ContactsConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6ContactsConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF6ContactsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF6ContactsTargets.cmake NAMESPACE KF6::)

install(FILES
   ${kcontacts_version_header}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KContacts COMPONENT Devel
)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/CMakeLists.txt ===
add_library(KF6Contacts)
add_library(KF6::Contacts ALIAS KF6Contacts)

qt_extract_metatypes(KF6Contacts)

set_target_properties(KF6Contacts PROPERTIES
    VERSION     ${KCONTACTS_VERSION}
    SOVERSION   ${KCONTACTS_SOVERSION}
    EXPORT_NAME Contacts
)

target_sources(KF6Contacts PRIVATE
    address.cpp
    addressee.cpp
    addressee.h
    addresseehelper.cpp
    addresseehelper_p.h
    addresseelist.h
    addressformat.cpp
    addressformatparser.cpp
    addressformatscript.cpp
    addressformatter.cpp
    address.h
    calendarurl.cpp
    calendarurl.h
    clientpidmap.cpp
    clientpidmap.h
    contactgroup.cpp
    contactgroup.h
    contactgrouptool.cpp
    contactgrouptool.h
    converter/ldifconverter.cpp
    converter/ldifconverter.h
    converter/vcardconverter.cpp
    converter/vcardconverter.h
    email.cpp
    email.h
    fieldgroup.cpp
    fieldgroup.h
    gender.cpp
    gender.h
    geo.cpp
    geo.h
    impp.cpp
    impp.h
    key.cpp
    key.h
    lang.cpp
    lang.h
    ldif.cpp
    ldif_p.h
    namespace.cpp
    nickname.cpp
    nickname.h
    note.cpp
    note.h
    org.cpp
    org.h
    parametermap_p.h
    phonenumber.cpp
    phonenumber.h
    picture.cpp
    picture.h
    related.cpp
    related.h
    resourcelocatorurl.cpp
    resourcelocatorurl.h
    role.cpp
    role.h
    secrecy.cpp
    secrecy.h
    sound.cpp
    sound.h
    timezone.cpp
    timezone.h
    title.cpp
    title.h
    vcarddrag.cpp
    vcarddrag.h
    vcardparser/vcard.cpp
    vcardparser/vcardline.cpp
    vcardparser/vcardline_p.h
    vcardparser/vcardparser.cpp
    vcardparser/vcardparser_p.h
    vcardparser/vcard_p.h
    vcardtool.cpp
    vcardtool_p.h

    kcontacts.qrc
)

qt6_add_resources(KF6Contacts "improtocols"
    PREFIX "/org.kde.kcontacts/improtocols/"
    BASE "improtocols"
    OUTPUT_TARGETS _out_targets
    FILES
        improtocols/aim.desktop
        improtocols/facebook.desktop
        improtocols/gg.desktop
        improtocols/googletalk.desktop
        improtocols/groupwise.desktop
        improtocols/icq.desktop
        improtocols/irc.desktop
        improtocols/meanwhile.desktop
        improtocols/msn.desktop
        improtocols/qq.desktop
        improtocols/sip.desktop
        improtocols/skype.desktop
        improtocols/sms.desktop
        improtocols/twitter.desktop
        improtocols/xmpp.desktop
        improtocols/ymsgr.desktop
        improtocols/matrix.desktop
        improtocols/telegram.desktop
        improtocols/rocketchat.desktop
        improtocols/signal.desktop
        improtocols/threema.desktop
)

ecm_qt_declare_logging_category(KF6Contacts
    HEADER kcontacts_debug.h
    IDENTIFIER KCONTACTS_LOG
    CATEGORY_NAME kf.contacts
    OLD_CATEGORY_NAMES log_kcontacts org.kde.pim.kcontacts
    DESCRIPTION "KContacts"
    EXPORT KCONTACTS
)

ecm_generate_export_header(KF6Contacts
    EXPORT_FILE_NAME kcontacts_export.h
    BASE_NAME kcontacts
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    USE_VERSION_HEADER
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

target_include_directories(KF6Contacts INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KContacts>")
set(KContacts_BUILD_INCLUDE_DIRS
    ${KContacts_SOURCE_DIR}/src
    ${KContacts_BINARY_DIR}/src
    ${KContacts_SOURCE_DIR}/src/vcardparser
)
target_include_directories(KF6Contacts PUBLIC "$<BUILD_INTERFACE:${KContacts_BUILD_INCLUDE_DIRS}>")

target_link_libraries(KF6Contacts
PUBLIC
    Qt6::Core
    Qt6::Gui
PRIVATE
    KF6::CoreAddons
    KF6::ConfigCore
    KF6::I18n
    KF6::I18nLocaleData
    KF6::Codecs # for the vcard parser
)

install(TARGETS KF6Contacts ${_out_targets} EXPORT KF6ContactsTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_generate_headers(KContacts_CamelCase_HEADERS
  HEADER_NAMES
  Address
  AddressFormat
  Addressee
  AddresseeList
  CalendarUrl
  ContactGroup
  ContactGroupTool
  Email
  Geo
  Gender
  Key
  Lang
  Namespace
  Impp
  PhoneNumber
  Picture
  Related
  ResourceLocatorUrl
  Secrecy
  Sound
  TimeZone
  Title
  Role
  Note
  Org
  NickName
  VCardDrag
  FieldGroup
  ClientPidMap
  PREFIX KContacts
  REQUIRED_HEADERS KContacts_HEADERS
)

ecm_generate_qdoc(KF6Contacts kcontacts.qdocconf)

if (USE_QML)
  add_subdirectory(qml)
endif ()
add_subdirectory(converter)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/kcontacts_export.h
    ${KContacts_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KContacts/kcontacts
    COMPONENT Devel
)

install(FILES
    ${KContacts_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KContacts/KContacts
    COMPONENT Devel
)

ecm_qt_install_logging_categories(
    EXPORT KCONTACTS
    FILE kcontacts.categories
    DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}"
)

=== src/qml/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 Nicolas Fella <nicolas.fella@gmx.de>
# SPDX-License-Identifier: BSD-3-Clause

ecm_add_qml_module(kcontactsqml URI "org.kde.contacts" CLASS_NAME KContactsQmlPlugin DEPENDENCIES QtQuick)

target_sources(kcontactsqml PRIVATE
    kcontactsqmlplugin.cpp
    types.h
)

target_link_libraries(kcontactsqml PRIVATE KF6Contacts Qt6::Qml)

ecm_finalize_qml_module(kcontactsqml)

=== debian/changelog ===
kf6-kcontacts (6.18.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.18.0).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Tue, 30 Sep 2025 19:16:29 +0200

=== debian/control ===
Source: kf6-kcontacts
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Sandro Knauß <hefee@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               iso-codes <!nocheck>,
               libkf6codecs-dev (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libxkbcommon-dev,
               locales-all <!nocheck>,
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/kcontacts
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kcontacts
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kcontacts.git
Rules-Requires-Root: no

Package: libkf6contacts-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: data files for kcontacts
 KContacts is an API for address book data.
 .
 This package contains shared data files.

Package: libkf6contacts-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6codecs-dev (>= 6.18.0~),
         libkf6config-dev (>= 6.18.0~),
         libkf6contacts6 (= ${binary:Version}),
         libkf6coreaddons-dev (>= 6.18.0~),
         libkf6i18n-dev (>= 6.18.0~),
         qml6-module-org-kde-contacts (= ${binary:Version}),
         qt6-base-dev (>= 6.7.0~),
         ${misc:Depends},
Description: development files for kcontacts
 KContacts is an API for address book data.
 .
 This package contains the development files.

Package: libkf6contacts-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Section: doc
Description: address book API for KDE Framework (documentation)
 KContacts is an API for address book data.
 .
 This package contains the documentation.

Package: libkf6contacts6
Architecture: any
Multi-Arch: same
Depends: libkf6contacts-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: iso-codes,
Description: address book API for KDE frameworks
 KContacts is an API for address book data.

Package: qml6-module-org-kde-contacts
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: address book API for KDE frameworks (QML module)
 KContacts is an API for address book data.
 .
 This package contain the QML bindings.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d.]+)/kcontacts-([\d.]+).tar.xz

## kf6-kcontacts 6.18.0+p24.04+vstable+git20250908.1428

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.18.0") # handled by release scripts
+set(KF_VERSION "6.19.0") # handled by release scripts
 set(KF_DEP_VERSION "6.18.0") # handled by release scripts
 
 project(KContacts VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-kcontacts (6.18.0+p24.04+vstable+git20250908.1428-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 14:28:38 +0000

kf6-kcontacts (6.18.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 12:38:44 +0000

kf6-kcontacts (6.17.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Aug 2025 00:12:25 +0000

kf6-kcontacts (6.16.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jul 2025 06:10:43 +0000

kf6-kcontacts (6.15.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jun 2025 05:41:25 +0000

kf6-kcontacts (6.14.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 May 2025 10:28:45 +0000

kf6-kcontacts (6.13.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 13 Apr 2025 01:53:11 +0000

kf6-kcontacts (6.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Mar 2025 21:53:39 +0000

kf6-kcontacts (6.11.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Feb 2025 03:20:31 +0000

kf6-kcontacts (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 11:37:05 +0000

kf6-kcontacts (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Dec 2024 10:21:40 +0000

kf6-kcontacts (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Nov 2024 00:25:02 +0000

kf6-kcontacts (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 15:20:55 +0000

kf6-kcontacts (6.6.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 21 Sep 2024 03:22:11 +0000

kf6-kcontacts (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Aug 2024 12:20:56 +0000

kf6-kcontacts (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jul 2024 04:37:53 +0000

kf6-kcontacts (6.3.0-1neon) noble; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Thu, 13 Jun 2024 14:28:12 +1000

kf6-kcontacts (6.3.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jun 2024 03:51:57 +0000

kf6-kcontacts (6.2.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 17 Nov 2023 01:18:08 +0000

kf6-kcontacts (0.0-0neon) UNRELEASED; urgency=medium

  * New release

 -- Jonathan Esk-Riddell <jr@jriddell.org>  Mon, 12 Dec 2022 13:04:30 +0000

## kf6-kcontacts 6.18.0+p24.04+vstable+git20250914.1223

=== CMakeLists.txt ===
--- 
+++ 
@@ -62,7 +62,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.10.0
-    KF 6.17.0
+    KF 6.18.0
 )
 
 add_subdirectory(src)

=== debian/changelog ===
kf6-kcontacts (6.18.0+p24.04+vstable+git20250914.1223-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 14 Sep 2025 12:23:07 +0000

## kf6-kcontacts 6.19.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(KF_VERSION "6.19.0") # handled by release scripts
-set(KF_DEP_VERSION "6.18.0") # handled by release scripts
+set(KF_DEP_VERSION "6.19.0") # handled by release scripts
 
 project(KContacts VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.18.0 NO_MODULE)
+find_package(ECM 6.19.0 NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== tests/CMakeLists.txt ===

include(ECMMarkAsTest)

########### next target ###############

# FIXME: Build fails
add_executable(testread testread.cpp)
target_link_libraries(testread KF6Contacts KF6::I18n Qt6::Gui)

########### next target ###############

# FIXME: Build fails
add_executable(testwrite testwrite.cpp)
target_link_libraries(testwrite KF6Contacts Qt6::Gui KF6::I18n)

########### next target ###############

add_executable(testread2 testread2.cpp testutils.cpp)
target_link_libraries(testread2 KF6Contacts Qt6::Gui)

=== debian/changelog ===
kf6-kcontacts (6.19.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.18.0)
  * New upstream release (6.19.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Oct 2025 15:04:54 +0100

=== debian/control ===
Source: kf6-kcontacts
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Sandro Knauß <hefee@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               doxygen,
               extra-cmake-modules (>= 6.19.0~),
               gettext,
               iso-codes <!nocheck>,
               libkf6codecs-dev (>= 6.19.0~),
               libkf6config-dev (>= 6.19.0~),
               libkf6coreaddons-dev (>= 6.19.0~),
               libkf6i18n-dev (>= 6.19.0~),
               libxkbcommon-dev,
               locales-all <!nocheck>,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kcontacts
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcontacts
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcontacts
Rules-Requires-Root: no

Package: libkf6contacts-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: data files for kcontacts
 KContacts is an API for address book data.
 .
 This package contains shared data files.

Package: libkf6contacts-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6codecs-dev (>= 6.19.0~),
         libkf6config-dev (>= 6.19.0~),
         libkf6contacts6 (= ${binary:Version}),
         libkf6coreaddons-dev (>= 6.19.0~),
         libkf6i18n-dev (>= 6.19.0~),
         qml6-module-org-kde-contacts (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0+dfsg~),
         ${misc:Depends},
Description: development files for kcontacts
 KContacts is an API for address book data.
 .
 This package contains the development files.

Package: libkf6contacts-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Section: doc
Description: address book API for KDE Framework (documentation)
 KContacts is an API for address book data.
 .
 This package contains the documentation.

Package: libkf6contacts6
Architecture: any
Multi-Arch: same
Depends: libkf6contacts-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: iso-codes,
Description: address book API for KDE frameworks
 KContacts is an API for address book data.

Package: qml6-module-org-kde-contacts
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: address book API for KDE frameworks (QML module)
 KContacts is an API for address book data.
 .
 This package contain the QML bindings.

## kf6-kcontacts 6.19.0+p24.04+vstable+git20251024.0144

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.19.0") # handled by release scripts
+set(KF_VERSION "6.20.0") # handled by release scripts
 set(KF_DEP_VERSION "6.19.0") # handled by release scripts
 
 project(KContacts VERSION ${KF_VERSION})
@@ -14,7 +14,7 @@
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 set(CMAKE_AUTORCC ON)
 
-set(REQUIRED_QT_VERSION 6.7.0)
+set(REQUIRED_QT_VERSION 6.8.0)
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)

## kf6-kcontacts 6.19.0+p24.04+vstable+git20251028.0804

=== debian/changelog ===
kf6-kcontacts (6.19.0+p24.04+vstable+git20251028.0804-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 08:04:46 +0000

kf6-kcontacts (6.19.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 06:50:44 +0000

=== debian/control ===
Source: kf6-kcontacts
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               kde-qdoc-common-dev,
               kf6-extra-cmake-modules,
               kf6-kcodecs-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/pim/kcontacts
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-kcontacts.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-kcontacts
Maintainer: Neon CI <neon@kde.org>

Package: kf6-kcontacts
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: libkf6contacts-data, libkf6contacts-doc, libkf6contacts6
Description: data files for kcontacts
 KContacts is an API for address book data.
 .
 This package contains shared data files.

Package: kf6-kcontacts-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-kcodecs-dev,
         kf6-kconfig-dev,
         kf6-kcontacts (= ${binary:Version}),
         kf6-kcoreaddons-dev,
         kf6-ki18n-dev,
         qt6-declarative-dev,
         ${misc:Depends}
Replaces: libkf6contacts-dev
Description: development files for kcontacts
 KContacts is an API for address book data.
 .
 This package contains the development files.

Package: libkf6contacts-data
Architecture: all
Depends: kf6-kcontacts, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6contacts6
Architecture: all
Depends: kf6-kcontacts, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6contacts-doc
Architecture: all
Depends: kf6-kcontacts-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6contacts-dev
Architecture: all
Depends: kf6-kcontacts-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

=== debian/tests/control ===
Tests: testsuite
Depends: build-essential,
         dbus-x11,
         libkf5kdelibs4support-data,
         xauth,
         xvfb,
         @,
         @builddeps@
Restrictions: build-needed

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d\.]*)/kcontacts-(.*)\.tar\.xz

## kf6-kcontacts 6.19.0+p24.04+vstable+git20251031.0723

=== debian/changelog ===
kf6-kcontacts (6.19.0+p24.04+vstable+git20251031.0723-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 07:23:16 +0000

## kf6-kcontacts 6.19.0+p24.04+vunstable+git20251015.0958

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 set(CMAKE_AUTORCC ON)
 
-set(REQUIRED_QT_VERSION 6.8.0)
+set(REQUIRED_QT_VERSION 6.7.0)
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)

=== debian/changelog ===
kf6-kcontacts (6.19.0+p24.04+vunstable+git20251015.0958-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 09:58:18 +0000

## kf6-kcontacts 6.19.0+p24.04+vunstable+git20251020.0226

=== debian/changelog ===
kf6-kcontacts (6.19.0+p24.04+vunstable+git20251020.0226-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 02:26:25 +0000

## kf6-kcontacts 6.19.0+p24.04+vunstable+git20251023.0101

=== debian/changelog ===
kf6-kcontacts (6.19.0+p24.04+vunstable+git20251023.0101-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 23 Oct 2025 01:01:12 +0000

## kf6-kcontacts 6.20.0

=== debian/changelog ===
kf6-kcontacts (6.20.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.20.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 6.20.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Nov 2025 19:24:29 +0100

=== debian/control ===
Source: kf6-kcontacts
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Sandro Knauß <hefee@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.20.0~),
               gettext,
               iso-codes <!nocheck>,
               libkf6codecs-dev (>= 6.20.0~),
               libkf6config-dev (>= 6.20.0~),
               libkf6coreaddons-dev (>= 6.20.0~),
               libkf6i18n-dev (>= 6.20.0~),
               libxkbcommon-dev,
               locales-all <!nocheck>,
               qt6-base-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.8.0~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/kcontacts
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kcontacts
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kcontacts.git
Rules-Requires-Root: no

Package: libkf6contacts-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: data files for kcontacts
 KContacts is an API for address book data.
 .
 This package contains shared data files.

Package: libkf6contacts-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6codecs-dev (>= 6.20.0~),
         libkf6config-dev (>= 6.20.0~),
         libkf6contacts6 (= ${binary:Version}),
         libkf6coreaddons-dev (>= 6.20.0~),
         libkf6i18n-dev (>= 6.20.0~),
         qml6-module-org-kde-contacts (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0~),
         ${misc:Depends},
Description: development files for kcontacts
 KContacts is an API for address book data.
 .
 This package contains the development files.

Package: libkf6contacts-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Section: doc
Description: address book API for KDE Framework (documentation)
 KContacts is an API for address book data.
 .
 This package contains the documentation.

Package: libkf6contacts6
Architecture: any
Multi-Arch: same
Depends: libkf6contacts-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: iso-codes,
Description: address book API for KDE frameworks
 KContacts is an API for address book data.

Package: qml6-module-org-kde-contacts
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: address book API for KDE frameworks (QML module)
 KContacts is an API for address book data.
 .
 This package contain the QML bindings.

## kf6-kcontacts 6.20.0+p24.04+vunstable+git20251202.0727

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,20 +1,20 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.20.0") # handled by release scripts
-set(KF_DEP_VERSION "6.19.0") # handled by release scripts
+set(KF_VERSION "6.21.0") # handled by release scripts
+set(KF_DEP_VERSION "6.20.0") # handled by release scripts
 
 project(KContacts VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.19.0 NO_MODULE)
+find_package(ECM 6.20.0 NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 set(CMAKE_AUTORCC ON)
 
-set(REQUIRED_QT_VERSION 6.7.0)
+set(REQUIRED_QT_VERSION 6.8.0)
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
@@ -62,7 +62,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.10.0
-    KF 6.18.0
+    KF 6.19.0
 )
 
 add_subdirectory(src)

=== debian/changelog ===
kf6-kcontacts (6.20.0+p24.04+vunstable+git20251202.0727-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 07:27:08 +0000

kf6-kcontacts (6.20.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 15:33:51 +1000

## kf6-kcontacts 6.20.0+p24.04+vunstable+git20251206.0248

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.21.0") # handled by release scripts
-set(KF_DEP_VERSION "6.20.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 
 project(KContacts VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.20.0 NO_MODULE)
+find_package(ECM 6.21.0 NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-kcontacts (6.20.0+p24.04+vunstable+git20251206.0248-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 02:48:02 +0000

## kf6-kcontacts 6.21.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_VERSION "6.21.0") # handled by release scripts
 set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 
 project(KContacts VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-kcontacts (6.21.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.21.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 12 Dec 2025 11:50:15 +0000

kf6-kcontacts (6.20.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.20.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Nov 2025 16:13:15 +0000

=== debian/control ===
Source: kf6-kcontacts
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Sandro Knauß <hefee@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.21.0~),
               gettext,
               iso-codes <!nocheck>,
               libkf6codecs-dev (>= 6.21.0~),
               libkf6config-dev (>= 6.21.0~),
               libkf6coreaddons-dev (>= 6.21.0~),
               libkf6i18n-dev (>= 6.21.0~),
               libxkbcommon-dev,
               locales-all <!nocheck>,
               qt6-base-dev (>= 6.8.0+dfsg~),
               qt6-tools-dev (>= 6.8.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kcontacts
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcontacts
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcontacts
Rules-Requires-Root: no

Package: libkf6contacts-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: data files for kcontacts
 KContacts is an API for address book data.
 .
 This package contains shared data files.

Package: libkf6contacts-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6codecs-dev (>= 6.21.0~),
         libkf6config-dev (>= 6.21.0~),
         libkf6contacts6 (= ${binary:Version}),
         libkf6coreaddons-dev (>= 6.21.0~),
         libkf6i18n-dev (>= 6.21.0~),
         qml6-module-org-kde-contacts (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0+dfsg~),
         ${misc:Depends},
Description: development files for kcontacts
 KContacts is an API for address book data.
 .
 This package contains the development files.

Package: libkf6contacts-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Section: doc
Description: address book API for KDE Framework (documentation)
 KContacts is an API for address book data.
 .
 This package contains the documentation.

Package: libkf6contacts6
Architecture: any
Multi-Arch: same
Depends: libkf6contacts-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: iso-codes,
Description: address book API for KDE frameworks
 KContacts is an API for address book data.

Package: qml6-module-org-kde-contacts
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: address book API for KDE frameworks (QML module)
 KContacts is an API for address book data.
 .
 This package contain the QML bindings.

## kf6-kcontacts 6.21.0+p24.04+vstable+git20251207.0714

=== debian/changelog ===
kf6-kcontacts (6.21.0+p24.04+vstable+git20251207.0714-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 07:14:56 +0000

kf6-kcontacts (6.21.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 15:13:11 +1000

## kf6-kcontacts 6.21.0+p24.04+vstable+git20251209.0239

=== debian/changelog ===
kf6-kcontacts (6.21.0+p24.04+vstable+git20251209.0239-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 02:39:51 +0000

## kf6-kcontacts 6.21.0+p24.04+vstable+git20260103.0203

=== debian/changelog ===
kf6-kcontacts (6.21.0+p24.04+vstable+git20260103.0203-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 02:03:21 +0000

## kf6-kcontacts 6.22.0

=== debian/changelog ===
kf6-kcontacts (6.22.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.22.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Jan 2026 18:29:19 +0000

=== debian/control ===
--- 
+++ 
@@ -6,19 +6,19 @@
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Sandro Knauß <hefee@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.21.0~),
+               extra-cmake-modules (>= 6.22.0~),
                gettext,
                iso-codes <!nocheck>,
-               libkf6codecs-dev (>= 6.21.0~),
-               libkf6config-dev (>= 6.21.0~),
-               libkf6coreaddons-dev (>= 6.21.0~),
-               libkf6i18n-dev (>= 6.21.0~),
+               libkf6codecs-dev (>= 6.22.0~),
+               libkf6config-dev (>= 6.22.0~),
+               libkf6coreaddons-dev (>= 6.22.0~),
+               libkf6i18n-dev (>= 6.22.0~),
                libxkbcommon-dev,
                locales-all <!nocheck>,
                qt6-base-dev (>= 6.8.0+dfsg~),
@@ -44,11 +44,11 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6codecs-dev (>= 6.21.0~),
-         libkf6config-dev (>= 6.21.0~),
+Depends: libkf6codecs-dev (>= 6.22.0~),
+         libkf6config-dev (>= 6.22.0~),
          libkf6contacts6 (= ${binary:Version}),
-         libkf6coreaddons-dev (>= 6.21.0~),
-         libkf6i18n-dev (>= 6.21.0~),
+         libkf6coreaddons-dev (>= 6.22.0~),
+         libkf6i18n-dev (>= 6.22.0~),
          qml6-module-org-kde-contacts (= ${binary:Version}),
          qt6-base-dev (>= 6.8.0+dfsg~),
          ${misc:Depends},

## kf6-kcontacts 6.22.0+p24.04+vstable+git20260106.0903

=== debian/changelog ===
kf6-kcontacts (6.22.0+p24.04+vstable+git20260106.0903-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 09:03:39 +0000

kf6-kcontacts (6.22.0-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 16:44:46 +1000

## kf6-kcontacts 6.22.0+p24.04+vstable+git20260116.0307

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
-cmake_minimum_required(VERSION 3.16)
+cmake_minimum_required(VERSION 3.27)
 
-set(KF_VERSION "6.21.0") # handled by release scripts
-set(KF_DEP_VERSION "6.21.0") # handled by release scripts
+set(KF_VERSION "6.23.0") # handled by release scripts
+set(KF_DEP_VERSION "6.22.0") # handled by release scripts
 
 project(KContacts VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.21.0 NO_MODULE)
+find_package(ECM 6.22.0 NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -61,8 +61,8 @@
 ki18n_install(po)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.10.0
-    KF 6.19.0
+    QT 6.11.0
+    KF 6.21.0
 )
 
 add_subdirectory(src)

=== debian/changelog ===
kf6-kcontacts (6.22.0+p24.04+vstable+git20260116.0307-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 16 Jan 2026 03:07:48 +0000

## kf6-kcontacts 6.22.0+p24.04+vstable+git20260126.0701

=== debian/changelog ===
kf6-kcontacts (6.22.0+p24.04+vstable+git20260126.0701-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 07:01:03 +0000

## kf6-kcontacts 6.23.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 cmake_minimum_required(VERSION 3.27)
 
 set(KF_VERSION "6.23.0") # handled by release scripts
-set(KF_DEP_VERSION "6.22.0") # handled by release scripts
+set(KF_DEP_VERSION "6.23.0") # handled by release scripts
 
 project(KContacts VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.22.0 NO_MODULE)
+find_package(ECM 6.23.0 NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-kcontacts (6.23.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.23.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Drop Priority: optional, not needed anymore since dpkg 1.22.13.
  * Add/update Nicolas Fella’s key in upstream keyring.
  * Use DEB_HOST_MULTIARCH in libraries install path.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Feb 2026 16:46:07 +0100

=== debian/control ===
Source: kf6-kcontacts
Section: libs
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Sandro Knauß <hefee@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.27~),
               doxygen,
               extra-cmake-modules (>= 6.23.0~),
               gettext,
               iso-codes <!nocheck>,
               libkf6codecs-dev (>= 6.23.0~),
               libkf6config-dev (>= 6.23.0~),
               libkf6coreaddons-dev (>= 6.23.0~),
               libkf6i18n-dev (>= 6.23.0~),
               libxkbcommon-dev,
               locales-all <!nocheck>,
               qt6-base-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.8.0~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/frameworks/kcontacts
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kcontacts
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kcontacts.git

Package: libkf6contacts-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: data files for kcontacts
 KContacts is an API for address book data.
 .
 This package contains shared data files.

Package: libkf6contacts-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6codecs-dev (>= 6.23.0~),
         libkf6config-dev (>= 6.23.0~),
         libkf6contacts6 (= ${binary:Version}),
         libkf6coreaddons-dev (>= 6.23.0~),
         libkf6i18n-dev (>= 6.23.0~),
         qml6-module-org-kde-contacts (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0~),
         ${misc:Depends},
Description: development files for kcontacts
 KContacts is an API for address book data.
 .
 This package contains the development files.

Package: libkf6contacts-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Section: doc
Description: address book API for KDE Framework (documentation)
 KContacts is an API for address book data.
 .
 This package contains the documentation.

Package: libkf6contacts6
Architecture: any
Multi-Arch: same
Depends: libkf6contacts-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: iso-codes,
Description: address book API for KDE frameworks
 KContacts is an API for address book data.

Package: qml6-module-org-kde-contacts
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: address book API for KDE frameworks (QML module)
 KContacts is an API for address book data.
 .
 This package contain the QML bindings.
